MyGUI::utility Namespace Reference

## Namespaces

namespace | templates

## Functions

void | trim (std::string &_str, bool _left=true, bool _right=true)
template<typename T>
std::string | toString (T _value)
const std::string & | toString (const std::string &_value)
template<>
std::string | toString (std::string_view _value)
template<typename... Args>
std::string | toString (Args &&... args)
template<>
std::string | toString< bool > (bool _value)
template<typename T>
T | parseValue (std::string_view _value)
template<>
bool | parseValue (std::string_view _value)
template<>
char | parseValue (std::string_view _value)
template<>
unsigned char | parseValue (std::string_view _value)
int | parseInt (std::string_view _value)
unsigned int | parseUInt (std::string_view _value)
size_t | parseSizeT (std::string_view _value)
float | parseFloat (std::string_view _value)
double | parseDouble (std::string_view _value)
bool | parseBool (std::string_view _value)
std::vector< std::string > | split (std::string_view _source, std::string_view _delims="\t\n ")
template<typename... Args>
bool | parseComplex (std::string_view _value, Args &... args)
template<>
bool | parseComplex< bool > (std::string_view _value, bool &arg)
bool | startWith (std::string_view _source, std::string_view _value)
bool | endWith (std::string_view _source, std::string_view _value)

## Function Documentation

## endWith()

bool MyGUI::utility::endWith | ( | std::string_view | _source,
|  | std::string_view | _value )

inline

Definition at line 219 of file MyGUI_StringUtility.h.

## parseBool()

bool MyGUI::utility::parseBool | ( | std::string_view | _value | ) |

inline

Definition at line 127 of file MyGUI_StringUtility.h.

## parseComplex()

template<typename... Args>

bool MyGUI::utility::parseComplex | ( | std::string_view | _value,
|  | Args &... | args )

inline

Definition at line 161 of file MyGUI_StringUtility.h.

## parseComplex< bool >()

template<>

bool MyGUI::utility::parseComplex< bool > | ( | std::string_view | _value,
|  | bool & | arg )

inline

Definition at line 184 of file MyGUI_StringUtility.h.

## parseDouble()

double MyGUI::utility::parseDouble | ( | std::string_view | _value | ) |

inline

Definition at line 122 of file MyGUI_StringUtility.h.

## parseFloat()

float MyGUI::utility::parseFloat | ( | std::string_view | _value | ) |

inline

Definition at line 117 of file MyGUI_StringUtility.h.

## parseInt()

int MyGUI::utility::parseInt | ( | std::string_view | _value | ) |

inline

Definition at line 102 of file MyGUI_StringUtility.h.

## parseSizeT()

size_t MyGUI::utility::parseSizeT | ( | std::string_view | _value | ) |

inline

Definition at line 112 of file MyGUI_StringUtility.h.

## parseUInt()

unsigned int MyGUI::utility::parseUInt | ( | std::string_view | _value | ) |

inline

Definition at line 107 of file MyGUI_StringUtility.h.

## parseValue() [1/4]

template<>

unsigned char MyGUI::utility::parseValue | ( | std::string_view | _value | ) |

inline

Definition at line 96 of file MyGUI_StringUtility.h.

## parseValue() [2/4]

template<>

char MyGUI::utility::parseValue | ( | std::string_view | _value | ) |

inline

Definition at line 89 of file MyGUI_StringUtility.h.

## parseValue() [3/4]

template<>

bool MyGUI::utility::parseValue | ( | std::string_view | _value | ) |

inline

Definition at line 82 of file MyGUI_StringUtility.h.

## parseValue() [4/4]

template<typename T>

T MyGUI::utility::parseValue | ( | std::string_view | _value | ) |

inline

Definition at line 60 of file MyGUI_StringUtility.h.

## split()

std::vector< std::string > MyGUI::utility::split | ( | std::string_view | _source,
|  | std::string_view | _delims = "\t\n " )

inline

Definition at line 153 of file MyGUI_StringUtility.h.

## startWith()

bool MyGUI::utility::startWith | ( | std::string_view | _source,
|  | std::string_view | _value )

inline

Definition at line 202 of file MyGUI_StringUtility.h.

## toString() [1/4]

template<typename... Args>

std::string MyGUI::utility::toString | ( | Args &&... | args | ) |

inline

Definition at line 45 of file MyGUI_StringUtility.h.

## toString() [2/4]

const std::string & MyGUI::utility::toString | ( | const std::string & | _value | ) |

inline

Definition at line 33 of file MyGUI_StringUtility.h.

## toString() [3/4]

template<>

std::string MyGUI::utility::toString | ( | std::string_view | _value | ) |

inline

Definition at line 39 of file MyGUI_StringUtility.h.

## toString() [4/4]

template<typename T>

std::string MyGUI::utility::toString | ( | T | _value | ) |

inline

Definition at line 26 of file MyGUI_StringUtility.h.

## toString< bool >()

template<>

std::string MyGUI::utility::toString< bool > | ( | bool | _value | ) |

inline

Definition at line 53 of file MyGUI_StringUtility.h.

## trim()

void MyGUI::utility::trim | ( | std::string & | _str,
|  | bool | _left = true,
|  | bool | _right = true )

inline

Definition at line 17 of file MyGUI_StringUtility.h.